1. Transactions
Privage Open API
Open API V2
  • Open API
  • Open API V2
  • Welcome to Privage Open API Documents (In-development)
  • Authentication
    • Generate Exchange Token
      POST
    • Exchange Access Token
      POST
    • Renew Access Token
      POST
    • Get Access Token
      POST
  • Extension Config
    • Get Current Add-On status
      GET
  • Campaigns
    • Get Campaign
      GET
  • Member Profiles
    • Get Profile
      GET
  • Transactions
    • Get Transaction
      GET
    • Add Point
      POST
    • Burn Point
      POST
    • Void Transaction By Id
      DELETE
    • Void Transaction By RefNo
      DELETE
    • Void Transaction By RefId
      DELETE
  • Coupons
    • Get Coupon Set
      GET
    • Create Coupon Set
      POST
    • Give Coupon to Member ID
      POST
    • Get Give Coupon History
      GET
    • Void Give Coupon
      DELETE
    • Check Coupon
      GET
    • Mark Use Coupon
      POST
  1. Transactions

Burn Point

สำหรับผู้ใช้ทั่วไป (Privage Open API)
https://core.privageapp.com
สำหรับผู้ใช้ทั่วไป (Privage Open API)
https://core.privageapp.com
POST
/v2/connect/burn/points
ทำการใช้คะแนนสมาชิกโดยตรง

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Points burned
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://core.privageapp.com/v2/connect/burn/points' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "phone_number": "0812345678",
    "card_no": "001",
    "points": 50,
    "ref_no": "BURN-001"
}'
Response Response Example
{
    "message": "string",
    "card_no": "string",
    "point": 0
}
Modified at 2026-04-19 14:06:31
Previous
Add Point
Next
Void Transaction By Id
Built with